IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network8.36.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
8.36.0.0- Broadcast address
8.39.255.255- First usable
8.36.0.1- Last usable
8.39.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
08240000· Integer136577024to136839167 - Reverse DNS zones
36.8.in-addr.arpa37.8.in-addr.arpa38.8.in-addr.arpa39.8.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001000.00100100.00000000.00000000 | 8.36.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00001000.00100100.00000000.00000000 | 8.36.0.0 |
| Broadcast | 00001000.00100111.11111111.11111111 | 8.39.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
8.36.0.0/14 makes 512 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 8.36.0.0/23 | 8.36.0.1 to 8.36.1.254 | 8.36.1.255 | 510 |
| 2 | 8.36.2.0/23 | 8.36.2.1 to 8.36.3.254 | 8.36.3.255 | 510 |
| 3 | 8.36.4.0/23 | 8.36.4.1 to 8.36.5.254 | 8.36.5.255 | 510 |
| 4 | 8.36.6.0/23 | 8.36.6.1 to 8.36.7.254 | 8.36.7.255 | 510 |
| 5 | 8.36.8.0/23 | 8.36.8.1 to 8.36.9.254 | 8.36.9.255 | 510 |
| 6 | 8.36.10.0/23 | 8.36.10.1 to 8.36.11.254 | 8.36.11.255 | 510 |
| 7 | 8.36.12.0/23 | 8.36.12.1 to 8.36.13.254 | 8.36.13.255 | 510 |
| 8 | 8.36.14.0/23 | 8.36.14.1 to 8.36.15.254 | 8.36.15.255 | 510 |
| 9 | 8.36.16.0/23 | 8.36.16.1 to 8.36.17.254 | 8.36.17.255 | 510 |
| 10 | 8.36.18.0/23 | 8.36.18.1 to 8.36.19.254 | 8.36.19.255 | 510 |
| 11 | 8.36.20.0/23 | 8.36.20.1 to 8.36.21.254 | 8.36.21.255 | 510 |
| 12 | 8.36.22.0/23 | 8.36.22.1 to 8.36.23.254 | 8.36.23.255 | 510 |
| 13 | 8.36.24.0/23 | 8.36.24.1 to 8.36.25.254 | 8.36.25.255 | 510 |
| 14 | 8.36.26.0/23 | 8.36.26.1 to 8.36.27.254 | 8.36.27.255 | 510 |
| 15 | 8.36.28.0/23 | 8.36.28.1 to 8.36.29.254 | 8.36.29.255 | 510 |
| 16 | 8.36.30.0/23 | 8.36.30.1 to 8.36.31.254 | 8.36.31.255 | 510 |
| 17 | 8.36.32.0/23 | 8.36.32.1 to 8.36.33.254 | 8.36.33.255 | 510 |
| 18 | 8.36.34.0/23 | 8.36.34.1 to 8.36.35.254 | 8.36.35.255 | 510 |
| 19 | 8.36.36.0/23 | 8.36.36.1 to 8.36.37.254 | 8.36.37.255 | 510 |
| 20 | 8.36.38.0/23 | 8.36.38.1 to 8.36.39.254 | 8.36.39.255 | 510 |
| 21 | 8.36.40.0/23 | 8.36.40.1 to 8.36.41.254 | 8.36.41.255 | 510 |
| 22 | 8.36.42.0/23 | 8.36.42.1 to 8.36.43.254 | 8.36.43.255 | 510 |
| 23 | 8.36.44.0/23 | 8.36.44.1 to 8.36.45.254 | 8.36.45.255 | 510 |
| 24 | 8.36.46.0/23 | 8.36.46.1 to 8.36.47.254 | 8.36.47.255 | 510 |
| 25 | 8.36.48.0/23 | 8.36.48.1 to 8.36.49.254 | 8.36.49.255 | 510 |
| 26 | 8.36.50.0/23 | 8.36.50.1 to 8.36.51.254 | 8.36.51.255 | 510 |
| 27 | 8.36.52.0/23 | 8.36.52.1 to 8.36.53.254 | 8.36.53.255 | 510 |
| 28 | 8.36.54.0/23 | 8.36.54.1 to 8.36.55.254 | 8.36.55.255 | 510 |
| 29 | 8.36.56.0/23 | 8.36.56.1 to 8.36.57.254 | 8.36.57.255 | 510 |
| 30 | 8.36.58.0/23 | 8.36.58.1 to 8.36.59.254 | 8.36.59.255 | 510 |
| 31 | 8.36.60.0/23 | 8.36.60.1 to 8.36.61.254 | 8.36.61.255 | 510 |
| 32 | 8.36.62.0/23 | 8.36.62.1 to 8.36.63.254 | 8.36.63.255 | 510 |
| 33 | 8.36.64.0/23 | 8.36.64.1 to 8.36.65.254 | 8.36.65.255 | 510 |
| 34 | 8.36.66.0/23 | 8.36.66.1 to 8.36.67.254 | 8.36.67.255 | 510 |
| 35 | 8.36.68.0/23 | 8.36.68.1 to 8.36.69.254 | 8.36.69.255 | 510 |
| 36 | 8.36.70.0/23 | 8.36.70.1 to 8.36.71.254 | 8.36.71.255 | 510 |
| 37 | 8.36.72.0/23 | 8.36.72.1 to 8.36.73.254 | 8.36.73.255 | 510 |
| 38 | 8.36.74.0/23 | 8.36.74.1 to 8.36.75.254 | 8.36.75.255 | 510 |
| 39 | 8.36.76.0/23 | 8.36.76.1 to 8.36.77.254 | 8.36.77.255 | 510 |
| 40 | 8.36.78.0/23 | 8.36.78.1 to 8.36.79.254 | 8.36.79.255 | 510 |
| 41 | 8.36.80.0/23 | 8.36.80.1 to 8.36.81.254 | 8.36.81.255 | 510 |
| 42 | 8.36.82.0/23 | 8.36.82.1 to 8.36.83.254 | 8.36.83.255 | 510 |
| 43 | 8.36.84.0/23 | 8.36.84.1 to 8.36.85.254 | 8.36.85.255 | 510 |
| 44 | 8.36.86.0/23 | 8.36.86.1 to 8.36.87.254 | 8.36.87.255 | 510 |
| 45 | 8.36.88.0/23 | 8.36.88.1 to 8.36.89.254 | 8.36.89.255 | 510 |
| 46 | 8.36.90.0/23 | 8.36.90.1 to 8.36.91.254 | 8.36.91.255 | 510 |
| 47 | 8.36.92.0/23 | 8.36.92.1 to 8.36.93.254 | 8.36.93.255 | 510 |
| 48 | 8.36.94.0/23 | 8.36.94.1 to 8.36.95.254 | 8.36.95.255 | 510 |
| 49 | 8.36.96.0/23 | 8.36.96.1 to 8.36.97.254 | 8.36.97.255 | 510 |
| 50 | 8.36.98.0/23 | 8.36.98.1 to 8.36.99.254 | 8.36.99.255 | 510 |
| 51 | 8.36.100.0/23 | 8.36.100.1 to 8.36.101.254 | 8.36.101.255 | 510 |
| 52 | 8.36.102.0/23 | 8.36.102.1 to 8.36.103.254 | 8.36.103.255 | 510 |
| 53 | 8.36.104.0/23 | 8.36.104.1 to 8.36.105.254 | 8.36.105.255 | 510 |
| 54 | 8.36.106.0/23 | 8.36.106.1 to 8.36.107.254 | 8.36.107.255 | 510 |
| 55 | 8.36.108.0/23 | 8.36.108.1 to 8.36.109.254 | 8.36.109.255 | 510 |
| 56 | 8.36.110.0/23 | 8.36.110.1 to 8.36.111.254 | 8.36.111.255 | 510 |
| 57 | 8.36.112.0/23 | 8.36.112.1 to 8.36.113.254 | 8.36.113.255 | 510 |
| 58 | 8.36.114.0/23 | 8.36.114.1 to 8.36.115.254 | 8.36.115.255 | 510 |
| 59 | 8.36.116.0/23 | 8.36.116.1 to 8.36.117.254 | 8.36.117.255 | 510 |
| 60 | 8.36.118.0/23 | 8.36.118.1 to 8.36.119.254 | 8.36.119.255 | 510 |
| 61 | 8.36.120.0/23 | 8.36.120.1 to 8.36.121.254 | 8.36.121.255 | 510 |
| 62 | 8.36.122.0/23 | 8.36.122.1 to 8.36.123.254 | 8.36.123.255 | 510 |
| 63 | 8.36.124.0/23 | 8.36.124.1 to 8.36.125.254 | 8.36.125.255 | 510 |
| 64 | 8.36.126.0/23 | 8.36.126.1 to 8.36.127.254 | 8.36.127.255 | 510 |
| 65 | 8.36.128.0/23 | 8.36.128.1 to 8.36.129.254 | 8.36.129.255 | 510 |
| 66 | 8.36.130.0/23 | 8.36.130.1 to 8.36.131.254 | 8.36.131.255 | 510 |
| 67 | 8.36.132.0/23 | 8.36.132.1 to 8.36.133.254 | 8.36.133.255 | 510 |
| 68 | 8.36.134.0/23 | 8.36.134.1 to 8.36.135.254 | 8.36.135.255 | 510 |
| 69 | 8.36.136.0/23 | 8.36.136.1 to 8.36.137.254 | 8.36.137.255 | 510 |
| 70 | 8.36.138.0/23 | 8.36.138.1 to 8.36.139.254 | 8.36.139.255 | 510 |
| 71 | 8.36.140.0/23 | 8.36.140.1 to 8.36.141.254 | 8.36.141.255 | 510 |
| 72 | 8.36.142.0/23 | 8.36.142.1 to 8.36.143.254 | 8.36.143.255 | 510 |
| 73 | 8.36.144.0/23 | 8.36.144.1 to 8.36.145.254 | 8.36.145.255 | 510 |
| 74 | 8.36.146.0/23 | 8.36.146.1 to 8.36.147.254 | 8.36.147.255 | 510 |
| 75 | 8.36.148.0/23 | 8.36.148.1 to 8.36.149.254 | 8.36.149.255 | 510 |
| 76 | 8.36.150.0/23 | 8.36.150.1 to 8.36.151.254 | 8.36.151.255 | 510 |
| 77 | 8.36.152.0/23 | 8.36.152.1 to 8.36.153.254 | 8.36.153.255 | 510 |
| 78 | 8.36.154.0/23 | 8.36.154.1 to 8.36.155.254 | 8.36.155.255 | 510 |
| 79 | 8.36.156.0/23 | 8.36.156.1 to 8.36.157.254 | 8.36.157.255 | 510 |
| 80 | 8.36.158.0/23 | 8.36.158.1 to 8.36.159.254 | 8.36.159.255 | 510 |
| 81 | 8.36.160.0/23 | 8.36.160.1 to 8.36.161.254 | 8.36.161.255 | 510 |
| 82 | 8.36.162.0/23 | 8.36.162.1 to 8.36.163.254 | 8.36.163.255 | 510 |
| 83 | 8.36.164.0/23 | 8.36.164.1 to 8.36.165.254 | 8.36.165.255 | 510 |
| 84 | 8.36.166.0/23 | 8.36.166.1 to 8.36.167.254 | 8.36.167.255 | 510 |
| 85 | 8.36.168.0/23 | 8.36.168.1 to 8.36.169.254 | 8.36.169.255 | 510 |
| 86 | 8.36.170.0/23 | 8.36.170.1 to 8.36.171.254 | 8.36.171.255 | 510 |
| 87 | 8.36.172.0/23 | 8.36.172.1 to 8.36.173.254 | 8.36.173.255 | 510 |
| 88 | 8.36.174.0/23 | 8.36.174.1 to 8.36.175.254 | 8.36.175.255 | 510 |
| 89 | 8.36.176.0/23 | 8.36.176.1 to 8.36.177.254 | 8.36.177.255 | 510 |
| 90 | 8.36.178.0/23 | 8.36.178.1 to 8.36.179.254 | 8.36.179.255 | 510 |
| 91 | 8.36.180.0/23 | 8.36.180.1 to 8.36.181.254 | 8.36.181.255 | 510 |
| 92 | 8.36.182.0/23 | 8.36.182.1 to 8.36.183.254 | 8.36.183.255 | 510 |
| 93 | 8.36.184.0/23 | 8.36.184.1 to 8.36.185.254 | 8.36.185.255 | 510 |
| 94 | 8.36.186.0/23 | 8.36.186.1 to 8.36.187.254 | 8.36.187.255 | 510 |
| 95 | 8.36.188.0/23 | 8.36.188.1 to 8.36.189.254 | 8.36.189.255 | 510 |
| 96 | 8.36.190.0/23 | 8.36.190.1 to 8.36.191.254 | 8.36.191.255 | 510 |
| 97 | 8.36.192.0/23 | 8.36.192.1 to 8.36.193.254 | 8.36.193.255 | 510 |
| 98 | 8.36.194.0/23 | 8.36.194.1 to 8.36.195.254 | 8.36.195.255 | 510 |
| 99 | 8.36.196.0/23 | 8.36.196.1 to 8.36.197.254 | 8.36.197.255 | 510 |
| 100 | 8.36.198.0/23 | 8.36.198.1 to 8.36.199.254 | 8.36.199.255 | 510 |
| 101 | 8.36.200.0/23 | 8.36.200.1 to 8.36.201.254 | 8.36.201.255 | 510 |
| 102 | 8.36.202.0/23 | 8.36.202.1 to 8.36.203.254 | 8.36.203.255 | 510 |
| 103 | 8.36.204.0/23 | 8.36.204.1 to 8.36.205.254 | 8.36.205.255 | 510 |
| 104 | 8.36.206.0/23 | 8.36.206.1 to 8.36.207.254 | 8.36.207.255 | 510 |
| 105 | 8.36.208.0/23 | 8.36.208.1 to 8.36.209.254 | 8.36.209.255 | 510 |
| 106 | 8.36.210.0/23 | 8.36.210.1 to 8.36.211.254 | 8.36.211.255 | 510 |
| 107 | 8.36.212.0/23 | 8.36.212.1 to 8.36.213.254 | 8.36.213.255 | 510 |
| 108 | 8.36.214.0/23 | 8.36.214.1 to 8.36.215.254 | 8.36.215.255 | 510 |
| 109 | 8.36.216.0/23 | 8.36.216.1 to 8.36.217.254 | 8.36.217.255 | 510 |
| 110 | 8.36.218.0/23 | 8.36.218.1 to 8.36.219.254 | 8.36.219.255 | 510 |
| 111 | 8.36.220.0/23 | 8.36.220.1 to 8.36.221.254 | 8.36.221.255 | 510 |
| 112 | 8.36.222.0/23 | 8.36.222.1 to 8.36.223.254 | 8.36.223.255 | 510 |
| 113 | 8.36.224.0/23 | 8.36.224.1 to 8.36.225.254 | 8.36.225.255 | 510 |
| 114 | 8.36.226.0/23 | 8.36.226.1 to 8.36.227.254 | 8.36.227.255 | 510 |
| 115 | 8.36.228.0/23 | 8.36.228.1 to 8.36.229.254 | 8.36.229.255 | 510 |
| 116 | 8.36.230.0/23 | 8.36.230.1 to 8.36.231.254 | 8.36.231.255 | 510 |
| 117 | 8.36.232.0/23 | 8.36.232.1 to 8.36.233.254 | 8.36.233.255 | 510 |
| 118 | 8.36.234.0/23 | 8.36.234.1 to 8.36.235.254 | 8.36.235.255 | 510 |
| 119 | 8.36.236.0/23 | 8.36.236.1 to 8.36.237.254 | 8.36.237.255 | 510 |
| 120 | 8.36.238.0/23 | 8.36.238.1 to 8.36.239.254 | 8.36.239.255 | 510 |
| 121 | 8.36.240.0/23 | 8.36.240.1 to 8.36.241.254 | 8.36.241.255 | 510 |
| 122 | 8.36.242.0/23 | 8.36.242.1 to 8.36.243.254 | 8.36.243.255 | 510 |
| 123 | 8.36.244.0/23 | 8.36.244.1 to 8.36.245.254 | 8.36.245.255 | 510 |
| 124 | 8.36.246.0/23 | 8.36.246.1 to 8.36.247.254 | 8.36.247.255 | 510 |
| 125 | 8.36.248.0/23 | 8.36.248.1 to 8.36.249.254 | 8.36.249.255 | 510 |
| 126 | 8.36.250.0/23 | 8.36.250.1 to 8.36.251.254 | 8.36.251.255 | 510 |
| 127 | 8.36.252.0/23 | 8.36.252.1 to 8.36.253.254 | 8.36.253.255 | 510 |
| 128 | 8.36.254.0/23 | 8.36.254.1 to 8.36.255.254 | 8.36.255.255 | 510 |
| 129 | 8.37.0.0/23 | 8.37.0.1 to 8.37.1.254 | 8.37.1.255 | 510 |
| 130 | 8.37.2.0/23 | 8.37.2.1 to 8.37.3.254 | 8.37.3.255 | 510 |
| 131 | 8.37.4.0/23 | 8.37.4.1 to 8.37.5.254 | 8.37.5.255 | 510 |
| 132 | 8.37.6.0/23 | 8.37.6.1 to 8.37.7.254 | 8.37.7.255 | 510 |
| 133 | 8.37.8.0/23 | 8.37.8.1 to 8.37.9.254 | 8.37.9.255 | 510 |
| 134 | 8.37.10.0/23 | 8.37.10.1 to 8.37.11.254 | 8.37.11.255 | 510 |
| 135 | 8.37.12.0/23 | 8.37.12.1 to 8.37.13.254 | 8.37.13.255 | 510 |
| 136 | 8.37.14.0/23 | 8.37.14.1 to 8.37.15.254 | 8.37.15.255 | 510 |
| 137 | 8.37.16.0/23 | 8.37.16.1 to 8.37.17.254 | 8.37.17.255 | 510 |
| 138 | 8.37.18.0/23 | 8.37.18.1 to 8.37.19.254 | 8.37.19.255 | 510 |
| 139 | 8.37.20.0/23 | 8.37.20.1 to 8.37.21.254 | 8.37.21.255 | 510 |
| 140 | 8.37.22.0/23 | 8.37.22.1 to 8.37.23.254 | 8.37.23.255 | 510 |
| 141 | 8.37.24.0/23 | 8.37.24.1 to 8.37.25.254 | 8.37.25.255 | 510 |
| 142 | 8.37.26.0/23 | 8.37.26.1 to 8.37.27.254 | 8.37.27.255 | 510 |
| 143 | 8.37.28.0/23 | 8.37.28.1 to 8.37.29.254 | 8.37.29.255 | 510 |
| 144 | 8.37.30.0/23 | 8.37.30.1 to 8.37.31.254 | 8.37.31.255 | 510 |
| 145 | 8.37.32.0/23 | 8.37.32.1 to 8.37.33.254 | 8.37.33.255 | 510 |
| 146 | 8.37.34.0/23 | 8.37.34.1 to 8.37.35.254 | 8.37.35.255 | 510 |
| 147 | 8.37.36.0/23 | 8.37.36.1 to 8.37.37.254 | 8.37.37.255 | 510 |
| 148 | 8.37.38.0/23 | 8.37.38.1 to 8.37.39.254 | 8.37.39.255 | 510 |
| 149 | 8.37.40.0/23 | 8.37.40.1 to 8.37.41.254 | 8.37.41.255 | 510 |
| 150 | 8.37.42.0/23 | 8.37.42.1 to 8.37.43.254 | 8.37.43.255 | 510 |
| 151 | 8.37.44.0/23 | 8.37.44.1 to 8.37.45.254 | 8.37.45.255 | 510 |
| 152 | 8.37.46.0/23 | 8.37.46.1 to 8.37.47.254 | 8.37.47.255 | 510 |
| 153 | 8.37.48.0/23 | 8.37.48.1 to 8.37.49.254 | 8.37.49.255 | 510 |
| 154 | 8.37.50.0/23 | 8.37.50.1 to 8.37.51.254 | 8.37.51.255 | 510 |
| 155 | 8.37.52.0/23 | 8.37.52.1 to 8.37.53.254 | 8.37.53.255 | 510 |
| 156 | 8.37.54.0/23 | 8.37.54.1 to 8.37.55.254 | 8.37.55.255 | 510 |
| 157 | 8.37.56.0/23 | 8.37.56.1 to 8.37.57.254 | 8.37.57.255 | 510 |
| 158 | 8.37.58.0/23 | 8.37.58.1 to 8.37.59.254 | 8.37.59.255 | 510 |
| 159 | 8.37.60.0/23 | 8.37.60.1 to 8.37.61.254 | 8.37.61.255 | 510 |
| 160 | 8.37.62.0/23 | 8.37.62.1 to 8.37.63.254 | 8.37.63.255 | 510 |
| 161 | 8.37.64.0/23 | 8.37.64.1 to 8.37.65.254 | 8.37.65.255 | 510 |
| 162 | 8.37.66.0/23 | 8.37.66.1 to 8.37.67.254 | 8.37.67.255 | 510 |
| 163 | 8.37.68.0/23 | 8.37.68.1 to 8.37.69.254 | 8.37.69.255 | 510 |
| 164 | 8.37.70.0/23 | 8.37.70.1 to 8.37.71.254 | 8.37.71.255 | 510 |
| 165 | 8.37.72.0/23 | 8.37.72.1 to 8.37.73.254 | 8.37.73.255 | 510 |
| 166 | 8.37.74.0/23 | 8.37.74.1 to 8.37.75.254 | 8.37.75.255 | 510 |
| 167 | 8.37.76.0/23 | 8.37.76.1 to 8.37.77.254 | 8.37.77.255 | 510 |
| 168 | 8.37.78.0/23 | 8.37.78.1 to 8.37.79.254 | 8.37.79.255 | 510 |
| 169 | 8.37.80.0/23 | 8.37.80.1 to 8.37.81.254 | 8.37.81.255 | 510 |
| 170 | 8.37.82.0/23 | 8.37.82.1 to 8.37.83.254 | 8.37.83.255 | 510 |
| 171 | 8.37.84.0/23 | 8.37.84.1 to 8.37.85.254 | 8.37.85.255 | 510 |
| 172 | 8.37.86.0/23 | 8.37.86.1 to 8.37.87.254 | 8.37.87.255 | 510 |
| 173 | 8.37.88.0/23 | 8.37.88.1 to 8.37.89.254 | 8.37.89.255 | 510 |
| 174 | 8.37.90.0/23 | 8.37.90.1 to 8.37.91.254 | 8.37.91.255 | 510 |
| 175 | 8.37.92.0/23 | 8.37.92.1 to 8.37.93.254 | 8.37.93.255 | 510 |
| 176 | 8.37.94.0/23 | 8.37.94.1 to 8.37.95.254 | 8.37.95.255 | 510 |
| 177 | 8.37.96.0/23 | 8.37.96.1 to 8.37.97.254 | 8.37.97.255 | 510 |
| 178 | 8.37.98.0/23 | 8.37.98.1 to 8.37.99.254 | 8.37.99.255 | 510 |
| 179 | 8.37.100.0/23 | 8.37.100.1 to 8.37.101.254 | 8.37.101.255 | 510 |
| 180 | 8.37.102.0/23 | 8.37.102.1 to 8.37.103.254 | 8.37.103.255 | 510 |
| 181 | 8.37.104.0/23 | 8.37.104.1 to 8.37.105.254 | 8.37.105.255 | 510 |
| 182 | 8.37.106.0/23 | 8.37.106.1 to 8.37.107.254 | 8.37.107.255 | 510 |
| 183 | 8.37.108.0/23 | 8.37.108.1 to 8.37.109.254 | 8.37.109.255 | 510 |
| 184 | 8.37.110.0/23 | 8.37.110.1 to 8.37.111.254 | 8.37.111.255 | 510 |
| 185 | 8.37.112.0/23 | 8.37.112.1 to 8.37.113.254 | 8.37.113.255 | 510 |
| 186 | 8.37.114.0/23 | 8.37.114.1 to 8.37.115.254 | 8.37.115.255 | 510 |
| 187 | 8.37.116.0/23 | 8.37.116.1 to 8.37.117.254 | 8.37.117.255 | 510 |
| 188 | 8.37.118.0/23 | 8.37.118.1 to 8.37.119.254 | 8.37.119.255 | 510 |
| 189 | 8.37.120.0/23 | 8.37.120.1 to 8.37.121.254 | 8.37.121.255 | 510 |
| 190 | 8.37.122.0/23 | 8.37.122.1 to 8.37.123.254 | 8.37.123.255 | 510 |
| 191 | 8.37.124.0/23 | 8.37.124.1 to 8.37.125.254 | 8.37.125.255 | 510 |
| 192 | 8.37.126.0/23 | 8.37.126.1 to 8.37.127.254 | 8.37.127.255 | 510 |
| 193 | 8.37.128.0/23 | 8.37.128.1 to 8.37.129.254 | 8.37.129.255 | 510 |
| 194 | 8.37.130.0/23 | 8.37.130.1 to 8.37.131.254 | 8.37.131.255 | 510 |
| 195 | 8.37.132.0/23 | 8.37.132.1 to 8.37.133.254 | 8.37.133.255 | 510 |
| 196 | 8.37.134.0/23 | 8.37.134.1 to 8.37.135.254 | 8.37.135.255 | 510 |
| 197 | 8.37.136.0/23 | 8.37.136.1 to 8.37.137.254 | 8.37.137.255 | 510 |
| 198 | 8.37.138.0/23 | 8.37.138.1 to 8.37.139.254 | 8.37.139.255 | 510 |
| 199 | 8.37.140.0/23 | 8.37.140.1 to 8.37.141.254 | 8.37.141.255 | 510 |
| 200 | 8.37.142.0/23 | 8.37.142.1 to 8.37.143.254 | 8.37.143.255 | 510 |
| 201 | 8.37.144.0/23 | 8.37.144.1 to 8.37.145.254 | 8.37.145.255 | 510 |
| 202 | 8.37.146.0/23 | 8.37.146.1 to 8.37.147.254 | 8.37.147.255 | 510 |
| 203 | 8.37.148.0/23 | 8.37.148.1 to 8.37.149.254 | 8.37.149.255 | 510 |
| 204 | 8.37.150.0/23 | 8.37.150.1 to 8.37.151.254 | 8.37.151.255 | 510 |
| 205 | 8.37.152.0/23 | 8.37.152.1 to 8.37.153.254 | 8.37.153.255 | 510 |
| 206 | 8.37.154.0/23 | 8.37.154.1 to 8.37.155.254 | 8.37.155.255 | 510 |
| 207 | 8.37.156.0/23 | 8.37.156.1 to 8.37.157.254 | 8.37.157.255 | 510 |
| 208 | 8.37.158.0/23 | 8.37.158.1 to 8.37.159.254 | 8.37.159.255 | 510 |
| 209 | 8.37.160.0/23 | 8.37.160.1 to 8.37.161.254 | 8.37.161.255 | 510 |
| 210 | 8.37.162.0/23 | 8.37.162.1 to 8.37.163.254 | 8.37.163.255 | 510 |
| 211 | 8.37.164.0/23 | 8.37.164.1 to 8.37.165.254 | 8.37.165.255 | 510 |
| 212 | 8.37.166.0/23 | 8.37.166.1 to 8.37.167.254 | 8.37.167.255 | 510 |
| 213 | 8.37.168.0/23 | 8.37.168.1 to 8.37.169.254 | 8.37.169.255 | 510 |
| 214 | 8.37.170.0/23 | 8.37.170.1 to 8.37.171.254 | 8.37.171.255 | 510 |
| 215 | 8.37.172.0/23 | 8.37.172.1 to 8.37.173.254 | 8.37.173.255 | 510 |
| 216 | 8.37.174.0/23 | 8.37.174.1 to 8.37.175.254 | 8.37.175.255 | 510 |
| 217 | 8.37.176.0/23 | 8.37.176.1 to 8.37.177.254 | 8.37.177.255 | 510 |
| 218 | 8.37.178.0/23 | 8.37.178.1 to 8.37.179.254 | 8.37.179.255 | 510 |
| 219 | 8.37.180.0/23 | 8.37.180.1 to 8.37.181.254 | 8.37.181.255 | 510 |
| 220 | 8.37.182.0/23 | 8.37.182.1 to 8.37.183.254 | 8.37.183.255 | 510 |
| 221 | 8.37.184.0/23 | 8.37.184.1 to 8.37.185.254 | 8.37.185.255 | 510 |
| 222 | 8.37.186.0/23 | 8.37.186.1 to 8.37.187.254 | 8.37.187.255 | 510 |
| 223 | 8.37.188.0/23 | 8.37.188.1 to 8.37.189.254 | 8.37.189.255 | 510 |
| 224 | 8.37.190.0/23 | 8.37.190.1 to 8.37.191.254 | 8.37.191.255 | 510 |
| 225 | 8.37.192.0/23 | 8.37.192.1 to 8.37.193.254 | 8.37.193.255 | 510 |
| 226 | 8.37.194.0/23 | 8.37.194.1 to 8.37.195.254 | 8.37.195.255 | 510 |
| 227 | 8.37.196.0/23 | 8.37.196.1 to 8.37.197.254 | 8.37.197.255 | 510 |
| 228 | 8.37.198.0/23 | 8.37.198.1 to 8.37.199.254 | 8.37.199.255 | 510 |
| 229 | 8.37.200.0/23 | 8.37.200.1 to 8.37.201.254 | 8.37.201.255 | 510 |
| 230 | 8.37.202.0/23 | 8.37.202.1 to 8.37.203.254 | 8.37.203.255 | 510 |
| 231 | 8.37.204.0/23 | 8.37.204.1 to 8.37.205.254 | 8.37.205.255 | 510 |
| 232 | 8.37.206.0/23 | 8.37.206.1 to 8.37.207.254 | 8.37.207.255 | 510 |
| 233 | 8.37.208.0/23 | 8.37.208.1 to 8.37.209.254 | 8.37.209.255 | 510 |
| 234 | 8.37.210.0/23 | 8.37.210.1 to 8.37.211.254 | 8.37.211.255 | 510 |
| 235 | 8.37.212.0/23 | 8.37.212.1 to 8.37.213.254 | 8.37.213.255 | 510 |
| 236 | 8.37.214.0/23 | 8.37.214.1 to 8.37.215.254 | 8.37.215.255 | 510 |
| 237 | 8.37.216.0/23 | 8.37.216.1 to 8.37.217.254 | 8.37.217.255 | 510 |
| 238 | 8.37.218.0/23 | 8.37.218.1 to 8.37.219.254 | 8.37.219.255 | 510 |
| 239 | 8.37.220.0/23 | 8.37.220.1 to 8.37.221.254 | 8.37.221.255 | 510 |
| 240 | 8.37.222.0/23 | 8.37.222.1 to 8.37.223.254 | 8.37.223.255 | 510 |
| 241 | 8.37.224.0/23 | 8.37.224.1 to 8.37.225.254 | 8.37.225.255 | 510 |
| 242 | 8.37.226.0/23 | 8.37.226.1 to 8.37.227.254 | 8.37.227.255 | 510 |
| 243 | 8.37.228.0/23 | 8.37.228.1 to 8.37.229.254 | 8.37.229.255 | 510 |
| 244 | 8.37.230.0/23 | 8.37.230.1 to 8.37.231.254 | 8.37.231.255 | 510 |
| 245 | 8.37.232.0/23 | 8.37.232.1 to 8.37.233.254 | 8.37.233.255 | 510 |
| 246 | 8.37.234.0/23 | 8.37.234.1 to 8.37.235.254 | 8.37.235.255 | 510 |
| 247 | 8.37.236.0/23 | 8.37.236.1 to 8.37.237.254 | 8.37.237.255 | 510 |
| 248 | 8.37.238.0/23 | 8.37.238.1 to 8.37.239.254 | 8.37.239.255 | 510 |
| 249 | 8.37.240.0/23 | 8.37.240.1 to 8.37.241.254 | 8.37.241.255 | 510 |
| 250 | 8.37.242.0/23 | 8.37.242.1 to 8.37.243.254 | 8.37.243.255 | 510 |
| 251 | 8.37.244.0/23 | 8.37.244.1 to 8.37.245.254 | 8.37.245.255 | 510 |
| 252 | 8.37.246.0/23 | 8.37.246.1 to 8.37.247.254 | 8.37.247.255 | 510 |
| 253 | 8.37.248.0/23 | 8.37.248.1 to 8.37.249.254 | 8.37.249.255 | 510 |
| 254 | 8.37.250.0/23 | 8.37.250.1 to 8.37.251.254 | 8.37.251.255 | 510 |
| 255 | 8.37.252.0/23 | 8.37.252.1 to 8.37.253.254 | 8.37.253.255 | 510 |
| 256 | 8.37.254.0/23 | 8.37.254.1 to 8.37.255.254 | 8.37.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |